
移动xgpon无频 - Bug #3587

设备TR069 WAN一直up和down。

07/25/2025 15:47 - 天文 刘

Status: Resolved Start date: 07/25/2025

Priority: Normal Due date:  

Assignee: 天文 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 2025-07-24 15:52:26 复现概率: 100%

Description

测试步骤

1.在TR069平台添加InternetGatewayDevice.DeviceInfo.X_CMCC_Monitor. MonitorConfig.{i}.由于平台添加内容为空

预期

添加失败或者添加成功

实际

串口打印看会导致设备TR069 WAN一直up和down。设备无法和平台继续交互，抓不到VLAN46的报文

History

#1 - 07/28/2025 18:21 - 家衡 付

- Assignee changed from tingwei huang to 家衡 付

#2 - 07/28/2025 18:25 - 家衡 付

tr069_wan_detection_set会设置tr069探测，走netmonitor，绑定的HI_SRCMODULE_NET_MONITOR模块

导致wandown告警函数收到g_sock_id的消息，g_sock_id又绑定的HI_SRCMODULE_NET_MONITOR模块

会导致wandownalarm一直周期性触发

#3 - 07/29/2025 11:12 - 家衡 付

- Status changed from New to Resolved

- Assignee changed from 家衡 付 to 天文 刘

由cmcc sync 007 引入，HI_WAN_NOTIFY_STATE_UP的时候wan_detection_config_update会自动开tr069 wan detection，正好我们的ipv6有问题探测不通导致wandown告警

目前tr069已预置为单ipv4，不会触发告警，探测代码暂时不做修改

#4 - 07/31/2025 16:05 - 天文 刘

- Status changed from Resolved to New

- Assignee changed from 天文 刘 to 家衡 付

1.还是需要跟海思对齐一下为啥这么设计，个人感觉不合理

#5 - 07/31/2025 17:58 - 家衡 付

- Status changed from New to Resolved

- Assignee changed from 家衡 付 to 天文 刘

已改，待验证
